# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-init.html#aws-resource-init-commands
module CloudFormer

  module CloudFormation
    class ConfigSetCommand < MetadataResource

      aws_attribute :command, name: 'command', type: String
      aws_attribute :env, name: 'env', type: String
      aws_attribute :cwd, name: 'cwd', type: String
      aws_attribute :test, name: 'test', type: String
      aws_attribute :ignore_errors, name: 'ignoreErrors', type: Boolean
      aws_attribute :wait_after_completion, name: 'waitAfterCompletion', type: Integer

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::ConfigSetCommand'
      end

      def name(val=nil)
        if val
          @name = val
        end
        @name
      end
    end
  end
end
