# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-init.html#aws-resource-init-commands
module CloudFormer

  module CloudFormation
    class ConfigSetUser < MetadataResource

      aws_attribute :uid, name: 'uid', type: String
      aws_attribute :groups, name: 'groups', list: true, type: String
      aws_attribute :home_dir, name: 'homeDir', type: String

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::ConfigSetUser'
      end

      def name(val=nil)
        if val
          @name = val
        end
        @name
      end
    end
  end
end
