# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-launchconfig-blockdev-mapping.html
module CloudFormer
  module AutoScaling
    class BlockDeviceMapping < ResourceProperty
      aws_attribute :device_name, type: String
      aws_attribute :ebs, embed: true, type: EbsBlockDevice
      aws_attribute :no_device, type: Boolean
      aws_attribute :virtual_name, type: String
    end
  end
end
