# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-launchconfig-blockdev-template.html
module CloudFormer
  module AutoScaling
    class EbsBlockDevice < ResourceProperty
      aws_attribute :delete_on_termination, type: Boolean
      aws_attribute :iops, type: Integer
      aws_attribute :snapshot_id, type: String
      aws_attribute :volume_size, type: Integer
      aws_attribute :volume_type, type: String
    end
  end
end
