# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distributionconfig-customerrorresponse.html
module CloudFormer
  module CloudFront
    class CustomErrorResponse < ResourceProperty
      aws_attribute :error_caching_min_ttl,
        name: 'ErrorCachingMinTTL',
        type: Integer
      aws_attribute :error_code, type: Integer
      aws_attribute :response_code, type: Integer
      aws_attribute :response_page_path, type: String
    end
  end
end
