# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-customorigin.html
module CloudFormer
  module CloudFront
    class CustomOrigin < ResourceProperty
      aws_attribute :http_port, name: 'HTTPPort', type: String
      aws_attribute :https_port, name: 'HTTPSPort', type: String
      aws_attribute :origin_protocol_policy, type: String
    end
  end
end
