# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb-health-check.html
module CloudFormer
  module ElasticLoadBalancing
    class HealthCheck < ResourceProperty
      aws_attribute :healthy_threshold, type: String
      aws_attribute :interval, type: String
      aws_attribute :target, type: String
      aws_attribute :timeout, type: String
      aws_attribute :unhealthy_threshold, type: String
    end
  end
end
