# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb-listener.html
module CloudFormer
  module ElasticLoadBalancing
    class Listener < ResourceProperty
      aws_attribute :instance_port, type: String
      aws_attribute :instance_protocol, type: String
      aws_attribute :load_balancer_port, type: String
      aws_attribute :policy_names, list: true, type: String
      aws_attribute :protocol, type: String
      aws_attribute :ssl_certificate_id, name: 'SSLCertificateId', type: String
    end
  end
end
