# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb-policy.html
module CloudFormer
  module ElasticLoadBalancing
    class Policy < ResourceProperty
      aws_attribute :attributes, list: true, type: String
      aws_attribute :instance_ports, list: true, type: String
      aws_attribute :load_balancer_ports, list: true, type: String
      aws_attribute :policy_name, type: String
      aws_attribute :policy_type, type: String
    end
  end
end
