# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-route53-aliastarget.html
module CloudFormer
  module Route53
    class AliasTarget < ResourceProperty
      aws_attribute :dns_name, name: 'DNSName', type: String
      aws_attribute :evaluate_target_health, type: Boolean
      aws_attribute :hosted_zone_id, type: String
    end
  end
end
