# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket-cors-corsrule.html
module CloudFormer
  module S3
    class CorsRule < ResourceProperty
      aws_attribute :allowed_headers, list: true, type: String
      aws_attribute :allowed_methods, list: true, type: String
      aws_attribute :allowed_origins, list: true, type: String
      aws_attribute :exposed_headers, list: true, type: String
      aws_attribute :id, type: String
      aws_attribute :max_age, type: Integer
    end
  end
end
