# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket-lifecycleconfig-rule.html
module CloudFormer
  module S3
    class LifecycleRule < ResourceProperty
      aws_attribute :expiration_date, type: String
      aws_attribute :expiration_in_days, type: Integer
      aws_attribute :id, type: String
      aws_attribute :prefix, type: String
      aws_attribute :status, type: String
      aws_attribute :transition, embed: true, type: LifecycleRuleTransition
    end
  end
end
