# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-websiteconfiguration.html
module CloudFormer
  module S3
    class WebsiteConfiguration < ResourceProperty
      aws_attribute :error_document, type: String
      aws_attribute :index_document, type: String
      aws_attribute :redirect_all_requests_to,
        embed: true,
        type: WebsiteConfigurationRedirectAllRequestsTo
      aws_attribute :routing_rules,
        embed: true,
        list: true,
        type: WebsiteConfigurationRoutingRules
    end
  end
end
