# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-websiteconfiguration-routingrules.html
module CloudFormer
  module S3
    class WebsiteConfigurationRoutingRules < ResourceProperty
      aws_attribute :redirect_rule,
        embed: true,
        type: WebsiteConfigurationRoutingRulesRedirectRule
      aws_attribute :routing_rule_condition,
        embed: true,
        type: WebsiteConfigurationRoutingRulesRoutingRuleCondition
    end
  end
end
