# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sqs-queues-redrivepolicy.html
module CloudFormer
  module SQS
    class RedrivePolicy < ResourceProperty
      aws_attribute :dead_letter_target_arn, name: 'deadLetterTargetArn', type: String
      aws_attribute :max_receive_count, name: 'maxReceiveCount', type: Integer
    end
  end
end
