# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-as-lifecyclehook.html
module CloudFormer
  module AutoScaling
    class LifecycleHook < Resource
      aws_property :auto_scaling_group_name, type: String
      aws_property :default_result, type: String
      aws_property :heartbeat_timeout, type: Integer
      aws_property :lifecycle_transition, type: String
      aws_property :notification_metadata, type: String
      aws_property :notification_topic_arn, type: String, name: 'NotificationTargetARN'
      aws_property :role_arn, type: String, name: 'RoleARN'
    end
  end
end
