# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-policy.html
module CloudFormer
  module AutoScaling
    class ScalingPolicy < Resource
      aws_property :adjustment_type, type: String
      aws_property :auto_scaling_group_name, type: String
      aws_property :cooldown, type: String
      aws_property :min_adjustment_step, type: Integer
      aws_property :scaling_adjustment, type: String
    end
  end
end
