# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cw-alarm.html
module CloudFormer
  module CloudWatch
    class Alarm < Resource
      aws_property :actions_enabled, type: Boolean
      aws_property :alarm_actions, list: true, type: String
      aws_property :alarm_description, type: String
      aws_property :alarm_name, type: String
      aws_property :comparison_operator, type: String
      aws_property :dimensions, embed: true, list: true, type: MetricDimension
      aws_property :evaluation_periods, type: String
      aws_property :insufficient_data_actions, list: true, type: String
      aws_property :metric_name, type: String
      aws_property :namespace, type: String
      aws_property :ok_actions, name: 'OKActions', list: true, type: String
      aws_property :period, type: String
      aws_property :statistic, type: String
      aws_property :threshold, type: String
      aws_property :unit, type: String
    end
  end
end
