# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-eip-association.html
module CloudFormer
  module EC2
    class EIPAssociation < Resource
      aws_property :allocation_id, type: String
      aws_property :eip, name: 'EIP', type: String
      aws_property :instance_id, type: String
      aws_property :network_interface_id, type: String
      aws_property :private_ip_address, type: String
    end
  end
end
