# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-security-group-egress.html
module CloudFormer
  module EC2
    class SecurityGroupEgress < Resource
      aws_property :cidr_ip, type: String
      aws_property :destination_security_group_id, type: String
      aws_property :from_port, type: Integer
      aws_property :group_id, type: String
      aws_property :ip_protocol, type: String
      aws_property :to_port, type: Integer
    end
  end
end
