# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-subnet.html
module CloudFormer
  module EC2
    class Subnet < Resource
      aws_property :availability_zone, type: String
      aws_property :cidr_block, type: String
      aws_property :tags, list: true, embed: true, type: Tag
      aws_property :vpc_id, type: Hash
    end
  end
end
