# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-vpn-connection.html
module CloudFormer
  module EC2
    class VPNConnection < Resource
      aws_property :type, type: String
      aws_property :customer_gateway_id, type: CustomerGateway
      aws_property :static_routes_only, type: Boolean
      aws_property :tags, list: true, embed: true, type: Tag
      aws_property :vpn_gateway_id, type: CustomerGateway
    end
  end
end
