# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-efs-mounttarget.html
module CloudFormer
  module EFS
    class MountTarget < Resource
      aws_property :file_system_id, type: String
      aws_property :ip_address, type: String
      aws_property :security_groups, list: true, type: String
      aws_property :subnet_id, type: String
    end
  end
end
