# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticache-parameter-group.html
module CloudFormer
  module ElastiCache
    class SecurityGroupIngress < Resource
      aws_property :cache_security_group_name, type: String
      aws_property :ec2_security_group_name, name: 'EC2SecurityGroupName', type: String
      aws_property :ec2_security_group_owner_id, name: 'EC2SecurityGroupOwnerId', type: String
    end
  end
end
