# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-beanstalk-version.html
module CloudFormer
  module ElasticBeanstalk
    class ConfigurationTemplate < Resource
      aws_property :application_name, type: String
      aws_property :description, type: String
      aws_property :environment_id, type: String
      aws_property :option_settings, list: true, embed: true, type: OptionSetting
      aws_property :solution_stack_name, type: String
      aws_property :source_configuration, embed: true, type: SourceConfiguration
    end
  end
end
