# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-policy.html
module CloudFormer
  module IAM
    class Policy < Resource
      aws_property :groups, required: true, list: true, type: String
      aws_property :policy_document, required: true, type: Hash
      aws_property :policy_name, required: true, type: String
      aws_property :roles, list: true, type: String
      aws_property :users, required: true, list: true, type: String
    end
  end
end
