# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-user.html
module CloudFormer
  module IAM
    class User < Resource
      aws_property :path, type: String
      aws_property :groups, list: true, type: Group
      aws_property :login_profile, type: Hash
      aws_property(
        :policies,
        embed: true,
        skip_properties: true,
        list: true,
        type: Policy,
      )
    end
  end
end
