# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-eventsourcemapping.html
module CloudFormer
  module Lambda
    class EventSourceMapping < Resource
      aws_property :batch_size, type: Integer
      aws_property :enabled, type: Boolean
      aws_property :event_source_arn, type: String
      aws_property :function_name, type: String
      aws_property :starting_position, type: String
    end
  end
end
