# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-security-group.html
module CloudFormer
  module RDS
    class DBSecurityGroup < Resource
      aws_property :ec2_vpc_id, name: 'EC2VpcId', type: String
      aws_property :db_security_group_ingress, name: 'DBSecurityGroupIngress', list: true, embed: true, type: SecurityGroupRule
      aws_property :group_description, type: String
      aws_property :tags, list: true, embed: true, type: CloudFormation::ResourceTag
    end
  end
end
