# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-clustersecuritygroupingress.html
module CloudFormer
  module Redshift
    class ClusterSecurityGroupIngress < Resource
      aws_property :cluster_security_group_name, type: String
      aws_property :cidrip, name: 'CIDRIP', type: String
      aws_property :ec2_security_group_name, name: 'EC2SecurityGroupName', type: String
      aws_property :ec2_security_group_owner_id, name: 'EC2SecurityGroupOwnerId', type: String
    end
  end
end
