# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-route53-recordset.html
module CloudFormer
  module Route53
    class RecordSet < Resource
      aws_property :alias_target, type: AliasTarget, embed: true
      aws_property :comment, type: String
      aws_property :failover, type: String
      aws_property :geo_location, type: GeoLocation, embed: true
      aws_property :health_check_id, type: String
      aws_property :hosted_zone_id, type: String
      aws_property :hosted_zone_name, type: String
      aws_property :_name, type: String
      aws_property :region, type: String
      aws_property :resource_records, type: String, list: true
      aws_property :set_identifier, type: String
      aws_property :ttl, name: 'TTL', type: String
      aws_property :type, type: String
      aws_property :weight, type: Integer
    end
  end
end
