# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sns-topic.html
module CloudFormer
  module SNS
    class Topic < Resource
      aws_property :display_name, type: String
      aws_property :subscription, embed: true, list: true, type: Subscription
      aws_property :topic_name, type: String
    end
  end
end
