# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sqs-queues.html
module CloudFormer
  module SQS
    class Queue < Resource
      aws_property :delay_seconds, type: Integer
      aws_property :maximum_message_size, type: Integer
      aws_property :message_retention_period, type: Integer
      aws_property :queue_name, type: String
      aws_property :receive_message_wait_time_seconds, type: Integer
      aws_property :redrive_policy, embed: true, type: RedrivePolicy
      aws_property :visibility_timeout, type: Integer
    end
  end
end
