module CloudFormer
  module Functions
    class GetAtt < Function

      def initialize(resource, attribute)
        @resource = resource
        @attribute = attribute
      end

      def acts_as_string?
        true
      end

      def dump_json
        if @resource.respond_to?(:get_name)
          { 'Fn::GetAtt' => [@resource.get_name, @attribute] }
        elsif @resource.respond_to?(:to_s)
          { 'Fn::GetAtt' => [@resource.to_s, @attribute] }
        end
      end
    end
  end
end
