# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-authentication.html
module CloudFormer
  module CloudFormation
    class Authentication < MetadataResource

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::Authentication'
      end

      def items(values = nil)
        if values
          @authentication_items = values
        end
        @authentication_items
      end

      def dump_json
        res = {}
        (@authentication_items || []).each do |item|
          res[item.get_name] = item.dump_json
        end
        res
      end
    end
  end
end
