# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-init.html#aws-resource-init-commands
module CloudFormer

  module CloudFormation
    class ConfigSet < MetadataResource

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::ConfigSet'
      end

      def items(val=nil)
        if val
          @items = val
        end
        @items
      end

      def name(val=nil)
        if val
          @name = val
        end
        @name
      end

      def dump_json
        res = {}
        (@items || []).each do |item|
          res[item.name] = item.dump_json
        end
        res
      end
    end
  end
end
