# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-init.html#aws-resource-init-commands
module CloudFormer

  module CloudFormation
    class ConfigSetFile < MetadataResource

      aws_attribute :content, name: 'content', type: String
      aws_attribute :source, name: 'source', type: String
      aws_attribute :encoding, name: 'encoding', type: String
      aws_attribute :group, name: 'group', type: String
      aws_attribute :owner, name: 'owner', type: String
      aws_attribute :mode, name: 'mode', type: String
      aws_attribute :authentication, name: 'authentication', type: Authentication
      aws_attribute :context, name: 'context', type: String

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::ConfigSetFile'
      end

      def name(val=nil)
        if val
          @name = val
        end
        @name
      end
    end
  end
end
