# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-init.html#aws-resource-init-commands
module CloudFormer

  module CloudFormation
    class ConfigSetService < MetadataResource

      aws_attribute :ensure_running, name: 'ensureRunning', type: Boolean
      aws_attribute :enabled, name: 'enabled', type: Boolean
      aws_attribute :files, name: 'files', list: true, type: String
      aws_attribute :sources, name: 'sources', list: true, type: String
      aws_attribute :packages, name: 'packages', list: true, type: String
      aws_attribute :commands, name: 'commands', list: true, type: String

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::ConfigSetUser'
      end

      def name(val=nil)
        if val
          @name = val
        end
        @name
      end
    end
  end
end
