module CloudFormer
  class MetadataResource

    include HasPropertiesAndAttributes
    include MakesJson

    attr_reader :aws_type

    def initialize(&block)
      if block_given?
        self.instance_eval(&block)
      end
    end
  end
end
