# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-attribute-updatepolicy.html
module CloudFormer
  module AutoScaling
    class UpdatePolicy < ResourceProperty
      aws_attribute_wrapper 'AutoScalingRollingUpdate'

      aws_attribute :max_batch_size, type: String
      aws_attribute :min_instances_in_service, type: String
      aws_attribute :pause_time, type: String
    end
  end
end
