# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-cachebehavior.html
module CloudFormer
  module CloudFront
    class CacheBehavior < ResourceProperty
      aws_attribute :allowed_methods, list: true, type: String
      aws_attribute :forwarded_values, embed: true, type: ForwardedValues
      aws_attribute :min_ttl, name: 'MinTTL', type: String
      aws_attribute :path_pattern, type: String
      aws_attribute :smooth_streaming, type: Boolean
      aws_attribute :target_origin_id, type: String
      aws_attribute :trusted_signers, list: true, type: String
      aws_attribute :viewer_protocol_policy, type: String
    end
  end
end
