# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-origin.html
module CloudFormer
  module CloudFront
    class Origin < ResourceProperty
      aws_attribute :custom_origin_config, embed: true, type: CustomOrigin
      aws_attribute :domain_name, type: String
      aws_attribute :id, type: String
      aws_attribute :s3_origin_config, embed: true, type: S3Origin
    end
  end
end
