# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-blockdev-mapping.html
module CloudFormer
  module EC2
    class BlockDeviceMapping < ResourceProperty
      aws_attribute :device_name, type: String
      aws_attribute :ebs, embed: true, type: EBSBlockDevice
      aws_attribute :no_device, type: Hash
      aws_attribute :virtual_name, type: String
    end
  end
end
