# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-blockdev-mapping.html
module CloudFormer
  module EC2
    class EBSBlockDevice < ResourceProperty
      aws_attribute :delete_on_termination, type: Boolean
      aws_attribute :iops, type: Integer
      aws_attribute :snapshot_id, type: String
      aws_attribute :volume_size, type: String
      aws_attribute :volume_type, type: String
    end
  end
end
