# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-network-iface-embedded.html
module CloudFormer
  module EC2
    class NetworkInterfaceEmbedded < ResourceProperty
      aws_attribute :associate_public_ip_address, type: Boolean
      aws_attribute :delete_on_termination, type: Boolean
      aws_attribute :description, type: String
      aws_attribute :device_index, type: String
      aws_attribute :group_set, list: true, type: String
      aws_attribute :network_interface_id, type: String
      aws_attribute :private_ip_address, type: String
      aws_attribute :private_ip_addresses, list: true, embed: true, type: PrivateIpAddressSpecification
      aws_attribute :secondary_private_ip_address_count, type: Integer
      aws_attribute :subnet_id, type: String
    end
  end
end
