# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group-rule.html
module CloudFormer
  module EC2
    class SecurityGroupRule < ResourceProperty
      aws_attribute :cidr_ip, type: String
      aws_attribute :from_port, type: Integer
      aws_attribute :ip_protocol, type: String
      aws_attribute :source_security_group_id, type: String
      aws_attribute :source_security_group_name, type: String
      aws_attribute :source_security_group_owner_id, type: String
      aws_attribute :destination_security_group_id, type: String
      aws_attribute :to_port, type: Integer
    end
  end
end
