# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb-accessloggingpolicy.html
module CloudFormer
  module ElasticLoadBalancing
    class AccessLoggingPolicy < ResourceProperty
      aws_attribute :emit_interval, type: Integer
      aws_attribute :enabled, type: Boolean
      aws_attribute :s3_bucket_name, name: 'S3BucketName', type: String
      aws_attribute :s3_bucket_prefix, name: 'S3BucketPrefix', type: String
    end
  end
end
