# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-security-group-rule.html
module CloudFormer
  module RDS
    class SecurityGroupRule < ResourceProperty
      aws_attribute :cidr_ip, type: String
      aws_attribute :ec2_security_group_id, name: 'EC2SecurityGroupId', type: String
      aws_attribute :ec2_security_group_name, name: 'EC2SecurityGroupName', type: String
      aws_attribute :ec2_security_group_owner_id, name: 'EC2SecurityGroupOwnerId', type: String
    end
  end
end
