# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket-notificationconfig.html
module CloudFormer
  module S3
    class NotificationConfiguration < ResourceProperty
      aws_attribute(
        :lambda_configurations,
        embed: true,
        list: true,
        type: LambdaNotificationConfiguration,
      )
      aws_attribute(
        :queue_configurations,
        embed: true,
        list: true,
        type: QueueNotificationConfiguration,
      )
      aws_attribute(
        :topic_configurations,
        embed: true,
        list: true,
        type: TopicNotificationConfiguration,
      )
    end
  end
end
