# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-websiteconfiguration-routingrules-redirectrule.html
module CloudFormer
  module S3
    class WebsiteConfigurationRoutingRulesRedirectRule < ResourceProperty
      aws_attribute :host_name, type: String
      aws_attribute :http_redirect_code, type: String
      aws_attribute :protocol, type: String
      aws_attribute :replace_key_prefix_with, type: String
      aws_attribute :replace_key_with, type: String
    end
  end
end
