# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-policy.html
module CloudFormer
  module AutoScaling
    class ScalingPolicy < Resource
      aws_property :auto_scaling_group_name, type: String
      aws_property :desired_capacity, type: Integer
      aws_property :end_time, type: Time
      aws_property :max_size, type: Integer
      aws_property :min_size, type: Integer
      aws_property :recurrence, type: String
      aws_property :start_time, type: Time
    end
  end
end
