# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-waitcondition.html
module CloudFormer
  module CloudFormation
    class Stack < Resource
      aws_property :notification_arns, type: String, list: true, name: 'NotificationARNs'
      aws_property :parameters, type: Hash
      aws_property :tags, list: true, embed: true, type: CloudFormation::ResourceTag
      aws_property :template_url, type: String, name: 'TemplateURL'
      aws_property :timeout_in_minutes, type: String
    end
  end
end
