# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-directoryservice-simplead.html
module CloudFormer
  module DirectoryService
    class MicrosoftAD < Resource
      aws_property :create_alias, type: Boolean
      aws_property :enable_sso, type: Boolean
      aws_property :name, type: String
      aws_property :password, type: String
      aws_property :short_name, type: String
      aws_property :vpc_settings, type: VpcSettings, embed: true
    end
  end
end
