# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-customer-gateway.html
module CloudFormer
  module EC2
    class CustomerGateway < Resource
      aws_property :bgp_asn, type: Integer
      aws_property :ip_address, type: String
      aws_property :tags,
        embed: true,
        list: true,
        type: CloudFormation::ResourceTag
      aws_property :type, type: String
    end
  end
end
