# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-dhcp-options.html
module CloudFormer
  module EC2
    class DHCPOptions < Resource
      aws_property :domain_name, type: String
      aws_property :domain_name_servers, list: true, type: String
      aws_property :netbios_name_servers, list: true, type: String
      aws_property :netbios_node_type, type: Integer
      aws_property :ntp_servers, list: true, type: String
      aws_property :tags,
        embed: true,
        list: true,
        type: EC2::Tag
    end
  end
end
