# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-network-acl-entry.html
module CloudFormer
  module EC2
    class NetworkAclEntry < Resource
      aws_property :cidr_block, type: String
      aws_property :egress, type: Boolean
      aws_property :icmp, embed: true, type: ICMP
      aws_property :network_acl_id, type: String
      aws_property :port_range, embed: true, type: PortRange
      aws_property :protocol, type: Integer
      aws_property :rule_action, type: String
      aws_property :rule_number, type: Integer
    end
  end
end
