# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-route.html
module CloudFormer
  module EC2
    class Route < Resource
      aws_property :destination_cidr_block, type: String
      aws_property :gateway_id, type: String
      aws_property :instance_id, type: String
      aws_property :network_interface_id, type: String
      aws_property :route_table_id, type: String
      aws_property :vpc_peering_connection_id, type: String
    end
  end
end
