# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group-ingress.html
module CloudFormer
  module EC2
    class SecurityGroupIngress < Resource
      aws_property :cidr_ip, type: String
      aws_property :from_port, type: Integer
      aws_property :group_id, type: String
      aws_property :group_name, type: String
      aws_property :ip_protocol, type: String
      aws_property :source_security_group_name, type: String
      aws_property :source_security_group_id, type: String
      aws_property :source_security_group_owner_id, type: String
      aws_property :to_port, type: Integer
    end
  end
end
