# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-ebs-volume.html
module CloudFormer
  module EC2
    class Volume < Resource
      aws_property :availability_zone, type: String
      aws_property :encrypted, type: Boolean
      aws_property :iops, type: Integer
      aws_property :size, type: String
      aws_property :snapshot_id, type: String
      aws_property :tags, list: true, embed: true, type: Tag
      aws_property :volume_type, type: String
    end
  end
end
