# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-vpc.html
module CloudFormer
  module EC2
    class VPC < Resource
      aws_property :cidr_block, type: String
      aws_property :enable_dns_support, type: Boolean
      aws_property :enable_dns_hostnames, type: Boolean
      aws_property :instance_tenancy, type: String
      aws_property :tags, list: true, embed: true, type: Tag
    end
  end
end
