# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-vpcendpoint.html
module CloudFormer
  module EC2
    class VPCEndpoint < Resource
      aws_property :policy_document, type: Hash
      aws_property :route_table_ids, type: String, list: true
      aws_property :service_name, type: String
      aws_property :vpc_id, type: String
    end
  end
end
