# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-vpcpeeringconnection.html
module CloudFormer
  module EC2
    class VPCPeeringConnection < Resource
      aws_property :peer_vpc_id, type: String
      aws_property :tags, list: true, embed: true, type: Tag
      aws_property :vpc_id, type: String
    end
  end
end
