# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-beanstalk-version.html
module CloudFormer
  module ElasticBeanstalk
    class ApplicationVersion < Resource
      aws_property :application_name, type: String
      aws_property :description, type: String
      aws_property :source_bundle, embed: true, type: SourceBundle
    end
  end
end
