# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-beanstalk-environment.html
module CloudFormer
  module ElasticBeanstalk
    class Environment < Resource
      aws_property :application_name, type: String
      aws_property :cname_prefix, name: 'CNAMEPredix', type: String
      aws_property :description, type: String
      aws_property :option_settings, list: true, embed: true, type: OptionSetting
      aws_property :solution_stack_name, type: String
      aws_property :template_name, type: String
      aws_property :tier, embed: true, type: EnvironmentTier
      aws_property :version_label, type: String
    end
  end
end
