# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-user.html
module CloudFormer
  module IAM
    class Group < Resource
      aws_property :path, type: String
      aws_property(
        :policies,
        embed: true,
        skip_properties: true,
        list: true,
        type: Policy,
      )
    end
  end
end
