# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-role.html
module CloudFormer
  module IAM
    class Role < Resource
      aws_property :assume_role_policy_document, type: Hash
      aws_property :path, type: String
      aws_property :policies, list: true, embed: true, type: IAMPolicy
    end
  end
end
