# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-function.html
module CloudFormer
  module Lambda
    class Function < Resource
      aws_property :code, type: String
      aws_property :description, type: String
      aws_property :handler, type: String
      aws_property :memory_size, type: Integer
      aws_property :role, type: String
      aws_property :runtime, type: String
      aws_property :timeout, type: Integer
    end
  end
end
