# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-dbparametergroup.html
module CloudFormer
  module RDS
    class DBParameterGroup < Resource
      aws_property :description, type: String
      aws_property :family, type: String
      aws_property :parameters, type: Hash
      aws_property :tags, list: true, embed: true, type: CloudFormation::ResourceTag
    end
  end
end
