# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-rds-dbsubnet-group.html
module CloudFormer
  module RDS
    class DBSubnetGroup < Resource
      aws_property :db_subnet_group_description, name: 'DBSubnetGroupDescription', type: String
      aws_property :subnet_ids, list: true, type: String
      aws_property :tags, list: true, embed: true, type: CloudFormation::ResourceTag
    end
  end
end
