# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-route53-hostedzone.html
module CloudFormer
  module Route53
    class HostedZone < Resource
      aws_property :hosted_zone_config, type: HostedZoneConfig, embed: true
      aws_property :hosted_zone_tags, type: HostedZoneTag, list: true, embed: true
      aws_property :_name, type: String
      aws_property :vpcs, name: 'VPCs', type: HostedZoneVPC, list: true, embed: true
    end
  end
end
