# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-route53-recordsetgroup.html
module CloudFormer
  module Route53
    class RecordSetGroup < Resource
      aws_property :hosted_zone_id, type: String
      aws_property :hosted_zone_name, type: String
      aws_property :record_sets, type: RecordSet, list: true
      aws_property :comment, type: String
    end
  end
end
